Page 1 of 1

Error installing dbus-python

Posted: Mon Mar 27, 2017 8:44 am
by LetHopeItsSnowing
Im build a python package which uses the dbus-python package, but I'm having problems installing it from pip.

Code: Select all

sudo pip3 install dbus-python3
Errors with:

Code: Select all

checking for DBUS... no

configure: error: Package requirements (dbus-1 >= 1.6) were not met:



No package 'dbus-1' found



Consider adjusting the PKG_CONFIG_PATH environment variable if you

installed software in a non-standard prefix.



Alternatively, you may set the environment variables DBUS_CFLAGS

and DBUS_LIBS to avoid the need to call pkg-config.

See the pkg-config man page for more details.
I can install it from apt-get but I want to make dbus-python a dependency for my pip package installer.

Any ideas? Thanks

Re: Error installing dbus-python

Posted: Mon Mar 27, 2017 4:05 pm
by LetHopeItsSnowing
Not to worry...

I have been pointed in the right direction. For others who find yourself in this situation, dbus-python is now obsolete, you should be using pydbus:

Code: Select all

sudo pip3 install pydbus